package com.bankaudit.dao;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.RiskScorePercentage;

public interface RiskScorePercentageDao extends Dao{

	List<RiskScorePercentage> getRiskScorePercentagesExceptThis(Integer legalEntityCode, String auditTypeCode,
			String riskCategoryCode);

	DataTableResponse getRiskScorePercentages(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	
	Boolean isRiskScorePercentage(Integer legalEntityCode, String auditTypeCode);

	void deleteRiskScorePercentages(Integer legalEntityCode, String auditTypeCode, String statusUnauth);
	
	RiskScorePercentage getRiskCategoryOnPercentage(Integer legalEntityCode, String auditTypeCode,Integer riskScore);

	Boolean isRiskCategoryCode(Integer legalEntityCode, String auditTypeCode, String riskCategoryCode);
}
